### Virtual Method

# EDataBook DataBookCursor get_position

#### Declaration [src]

    gboolean
    get_position (
      EDataBookCursor* cursor,
      gint* total,
      gint* position,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

The `EDataBookCursorGetPositionFunc` delegate to calculate the current total and position values.

#### Parameters

`total`

  Type: `gint*`

  The total number of contacts matching `cursor`‘s query expression.

  The argument will be set by the function.

`position`

  Type: `gint*`

  The current position of `cursor` in its result list.

  The argument will be set by the function.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on Success, otherwise `FALSE` is returned if any error occurred and `error` is set to reflect the error which occurred.